Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515457 - [3.7] fact gathering fails during upgrade from 3.4 to 3.5 on delete_empty_keys(facts['master']['admission_plugin_config']['BuildDefaults']['configuration']['env'])\r\nKeyError: 'env'\r\n"
Summary: [3.7] fact gathering fails during upgrade from 3.4 to 3.5 on delete_empty_key...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Upgrade
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.7.z
Assignee: Scott Dodson
QA Contact: Gan Huang
URL:
Whiteboard:
Depends On: 1469387 1515458 1515459
Blocks: 1491718
TreeView+ depends on / blocked
 
Reported: 2017-11-20 20:04 UTC by Scott Dodson
Modified: 2017-12-18 13:23 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The configuration management for builddefaults attempts to remove environment variables that were previously defined but have since been removed from the configuration. In situations where no environment variables have been configured this was failing because the 'env' key did not exist. The process has now been updated to skip the cleanup when the env key does not exist.
Clone Of: 1469387
Environment:
Last Closed: 2017-12-18 13:23:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:3464 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.7 bug fix and enhancement update 2017-12-18 18:22:05 UTC

Comment 3 Gan Huang 2017-12-08 02:20:31 UTC
Verified in openshift-ansible-3.7.13-1.git.0.a8e2fcb.el7.noarch.rpm

Installation succeed with the parameter set:

openshift_builddefaults_json={"BuildDefaults": {"configuration": {"apiVersion": "v1","kind": "BuildDefaultsConfig"}}}

Comment 6 errata-xmlrpc 2017-12-18 13:23:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3464


Note You need to log in before you can comment on or make changes to this bug.